> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取群组详情

> 获取此 Enterprise 中指定 IdP 群组的详细信息

需要 Enterprise 管理员的个人 API key。

返回指定 Enterprise 中 IdP（Identity Provider，身份提供商）群组的详细信息，包括其组织关联关系和角色。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /v2/enterprise/groups/{group_name}
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/groups/{group_name}:
    get:
      tags:
        - groups
      summary: 企业组详细信息端点
      operationId: enterprise_group_details_endpoint_v2_enterprise_groups__group_name__get
      parameters:
        - in: path
          name: group_name
          required: true
          schema:
            title: Group Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseGroupResponse'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    EnterpriseGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_count:
          title: Org Count
          type: integer
        role_by_org_id:
          additionalProperties:
            type: string
          title: Role By Org Id
          type: object
      required:
        - group_name
        - org_count
        - role_by_org_id
      title: EnterpriseGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````